Subject: Bug#723: AW: [X2Go-Dev] Bug#723: Bug#723: x2go sessions insta-break with some GUI software (ROOT TBrowser)

From: "Babutzka, Martin (EKP)" <[email-masked]>
Date: Mon, 12 Jan 2015 11:45:21 +0100

Hey Mikes :-)

Thanks for your replies. We resolved the problem by recommending the x2go client version 4.0.2.1 to our users which includes a sufficiently old Vcxsrv. We are fine with this solution.
Please keep this upstream-bug in vcxsrv in mind for the case more applications show the problem and replicated bug reports are created.

Thanks for your efforts on the x2go-software!
Martin

*****
Martin Babutzka
Karlsruher Institut für Technologie (KIT), ITEP-TLK und IEKP
Email: [email-masked]
Tel.: +49 721 608 24041 (TLK)
oder: +49 721 608 24097 (IK)

-----Ursprüngliche Nachricht-----
Von: Michael DePaulo [mailto:[email-masked]] 
Gesendet: Freitag, 9. Januar 2015 16:29
An: Babutzka, Martin (EKP); [email-masked]
Betreff: Re: [X2Go-Dev] Bug#723: Bug#723: x2go sessions insta-break with some GUI software (ROOT TBrowser)

On Fri, Jan 9, 2015 at 9:55 AM, Babutzka, Martin (EKP) <[email-masked]> wrote:
> Some updates on this bug:
>
> I've tested several VcXsrv-Versions from 
> http://code.x2go.org/releases/binary-win32/3rd-party/vcxsrv-modified-b
> y-x2go-project/ The bug purely occurs with the more recent versions of 
> VcXsrv - like 1.15.2.0 and 1.15.2.1 The bug does NOT occur with the 
> older versions 1.14 (tested 1.14.3.2).
>
> So the bug is caused by changes made in VcXsrv from version 1.14 to 1.15. I used the debug version "vcxsrv-debug.1.15.2.1-xp+vc2013+x2go1.installer.exe" to receive the following trace of the SIGFAULT:
>
[...]

Hi Martin,

This is a bug that I do intend to fix when I get a chance, even if it means fixing the bug in the VcXsrv code. However, I am not an expert at C, and I probably will not fix this anytime soon. (Patches from others are welcome.)

However, in the meantime, you can follow this workaround:
1. Install VcXsrv (VcXsrv-xp) 1.14.3.2 and remember where you installed it.
2. Configure X2Go Client for Windows to use that vcxsrv.exe as an external X server: Options -> Settings -> X-Server settings

If you have a large number of users or machines that need these settings, you can save the settings a registry key that can be exported and imported per-user-account and per-machine. The reg key
is:
[HKEY_CURRENT_USER\Software\Obviously Nice\x2goclient\settings]

-Mike#2